Schema Version Updates

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Schema Version Updates

Darran Lofthouse
I have just noticed the update of the xsd version for the logging subsystem.

The problem however is that we have dropped support for the 1.0 version
so any config from 7.0.0 will not run on 7.0.1 - is this intentional?

I had assumed that the way we were parsing the schemas allowed for
multiple versions to be supported simultaneously so while we would
recommend a version update the original configs should still work.

Regards,
Darran Lofthouse.
_______________________________________________
jboss-as7-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/jboss-as7-dev
Reply | Threaded
Open this post in threaded view
|

Re: Schema Version Updates

kkhan
I believe both the 7.0.0 config and the 7.0.1 config should both work
On 11 Aug 2011, at 11:34, Darran Lofthouse wrote:

> I have just noticed the update of the xsd version for the logging subsystem.
>
> The problem however is that we have dropped support for the 1.0 version
> so any config from 7.0.0 will not run on 7.0.1 - is this intentional?
>
> I had assumed that the way we were parsing the schemas allowed for
> multiple versions to be supported simultaneously so while we would
> recommend a version update the original configs should still work.
>
> Regards,
> Darran Lofthouse.
> _______________________________________________
> jboss-as7-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/jboss-as7-dev


_______________________________________________
jboss-as7-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/jboss-as7-dev
Reply | Threaded
Open this post in threaded view
|

Re: Schema Version Updates

Darran Lofthouse
I will check again but I just had a start up failure parsing config I
had used yesterday without error.

On 08/11/2011 11:37 AM, Kabir Khan wrote:

> I believe both the 7.0.0 config and the 7.0.1 config should both work
> On 11 Aug 2011, at 11:34, Darran Lofthouse wrote:
>
>> I have just noticed the update of the xsd version for the logging subsystem.
>>
>> The problem however is that we have dropped support for the 1.0 version
>> so any config from 7.0.0 will not run on 7.0.1 - is this intentional?
>>
>> I had assumed that the way we were parsing the schemas allowed for
>> multiple versions to be supported simultaneously so while we would
>> recommend a version update the original configs should still work.
>>
>> Regards,
>> Darran Lofthouse.
>> _______________________________________________
>> jboss-as7-dev mailing list
>> [hidden email]
>> https://lists.jboss.org/mailman/listinfo/jboss-as7-dev
>
_______________________________________________
jboss-as7-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/jboss-as7-dev
Reply | Threaded
Open this post in threaded view
|

Re: Schema Version Updates

Jaikiran Pai
It's currently a bug in AS7 upstream where 1.0 namespace isn't being
supported for logging. This commit
https://github.com/jaikiran/jboss-as/commits/logging should re-enable
1.0 support.

-Jaikiran
On Thursday 11 August 2011 04:07 PM, Darran Lofthouse wrote:

> I will check again but I just had a start up failure parsing config I
> had used yesterday without error.
>
> On 08/11/2011 11:37 AM, Kabir Khan wrote:
>> I believe both the 7.0.0 config and the 7.0.1 config should both work
>> On 11 Aug 2011, at 11:34, Darran Lofthouse wrote:
>>
>>> I have just noticed the update of the xsd version for the logging subsystem.
>>>
>>> The problem however is that we have dropped support for the 1.0 version
>>> so any config from 7.0.0 will not run on 7.0.1 - is this intentional?
>>>
>>> I had assumed that the way we were parsing the schemas allowed for
>>> multiple versions to be supported simultaneously so while we would
>>> recommend a version update the original configs should still work.
>>>
>>> Regards,
>>> Darran Lofthouse.
>>> _______________________________________________
>>> jboss-as7-dev mailing list
>>> [hidden email]
>>> https://lists.jboss.org/mailman/listinfo/jboss-as7-dev
>>
> _______________________________________________
> jboss-as7-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/jboss-as7-dev

_______________________________________________
jboss-as7-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/jboss-as7-dev
Reply | Threaded
Open this post in threaded view
|

Re: Schema Version Updates

kkhan
In reply to this post by Darran Lofthouse
Sorry, I wasn't clear. I believe the correct behaviour is that both versions of the schema should work, if it doesn't that is a bug
On 11 Aug 2011, at 11:37, Darran Lofthouse wrote:

> I will check again but I just had a start up failure parsing config I had used yesterday without error.
>
> On 08/11/2011 11:37 AM, Kabir Khan wrote:
>> I believe both the 7.0.0 config and the 7.0.1 config should both work
>> On 11 Aug 2011, at 11:34, Darran Lofthouse wrote:
>>
>>> I have just noticed the update of the xsd version for the logging subsystem.
>>>
>>> The problem however is that we have dropped support for the 1.0 version
>>> so any config from 7.0.0 will not run on 7.0.1 - is this intentional?
>>>
>>> I had assumed that the way we were parsing the schemas allowed for
>>> multiple versions to be supported simultaneously so while we would
>>> recommend a version update the original configs should still work.
>>>
>>> Regards,
>>> Darran Lofthouse.
>>> _______________________________________________
>>> jboss-as7-dev mailing list
>>> [hidden email]
>>> https://lists.jboss.org/mailman/listinfo/jboss-as7-dev
>>


_______________________________________________
jboss-as7-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/jboss-as7-dev
Reply | Threaded
Open this post in threaded view
|

Re: Schema Version Updates

Jason T. Greene
James is working on a patch, we just need to register then parser against both versions.

Sent from my iPad

On Aug 11, 2011, at 6:12 AM, Kabir Khan <[hidden email]> wrote:

> Sorry, I wasn't clear. I believe the correct behaviour is that both versions of the schema should work, if it doesn't that is a bug
> On 11 Aug 2011, at 11:37, Darran Lofthouse wrote:
>
>> I will check again but I just had a start up failure parsing config I had used yesterday without error.
>>
>> On 08/11/2011 11:37 AM, Kabir Khan wrote:
>>> I believe both the 7.0.0 config and the 7.0.1 config should both work
>>> On 11 Aug 2011, at 11:34, Darran Lofthouse wrote:
>>>
>>>> I have just noticed the update of the xsd version for the logging subsystem.
>>>>
>>>> The problem however is that we have dropped support for the 1.0 version
>>>> so any config from 7.0.0 will not run on 7.0.1 - is this intentional?
>>>>
>>>> I had assumed that the way we were parsing the schemas allowed for
>>>> multiple versions to be supported simultaneously so while we would
>>>> recommend a version update the original configs should still work.
>>>>
>>>> Regards,
>>>> Darran Lofthouse.
>>>> _______________________________________________
>>>> jboss-as7-dev mailing list
>>>> [hidden email]
>>>> https://lists.jboss.org/mailman/listinfo/jboss-as7-dev
>>>
>
>
> _______________________________________________
> jboss-as7-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/jboss-as7-dev

_______________________________________________
jboss-as7-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/jboss-as7-dev